Bug 128496 - While compiling (GNU Make version 3.79.1) I had seg fault!!
While compiling (GNU Make version 3.79.1) I had seg fault!!
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2004-07-23 12:43 EDT by shafi jourabchi
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-04 03:43:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description shafi jourabchi 2004-07-23 12:43:38 EDT
Description of problem:
../include/qvaluelist.h:322: Internal error: Segmentation fault

Version-Release number of selected component (if applicable):

How reproducible:
./configure -> gmake 

Steps to Reproduce: 
1. download  qt-x11-free-3.3.2
2. ./configure
3.  gmake
Actual results:
-I/home/shafi/Downloads/qt-x11-free-3.3.2/mkspecs/linux-g++ -I. -I3rdparty/libpng -I3rdparty/zlib -I../include 
-I/usr/X11R6/include -I/usr/X11R6/include -I.moc/release-shared/ -o .obj/release-shared/qeffects.o widgets/qeffects.cpp
In file included from ../include/qmap.h:46,
                 from ../include/qmime.h:43,
                 from ../include/qevent.h:45,
                 from ../include/qobject.h:45,
                 from ../include/qwidget.h:43,
                 from ../include/qdesktopwidget.h:40,
                 from ../include/qapplication.h:42,
                 from widgets/qeffects.cpp:38:
../include/qvaluelist.h:322: Internal error: Segmentation fault.
Please submit a full bug report.

Expected results:
 "Now 'make instal' "

Additional info:
Comment 1 Ngo Than 2004-07-27 05:31:34 EDT
it seems a compiler bug here.
Comment 2 Jakub Jelinek 2004-07-29 13:08:20 EDT
Is that reproduceable always on the same file with the same error?
What gcc version (rpm -q gcc) are you using?
RHEL3 should normally either print that the bug is reproduceable
and create a testcase from it (which should be attached here), or
say that the bug is not reproduceable.
Comment 3 shafi jourabchi 2004-07-30 11:31:40 EDT
gcc version gcc-3.2.2-5
make version make-3.79.1-17
kernel version 2.4.20-6

reproduction process:
1) download file qt-x11-free-3.3.2.tar.gz from 
2) tar zxvf qt-x11-free-3.3.2.tar.gz
3) cd qt-x11-free
4) ./configure
5) make ... error see full report

Comment 4 Jakub Jelinek 2004-07-30 11:59:22 EDT
RHEL3 doesn't ship gcc 3.2.2-5 (RHL9 did).
Is this really on RHEL3 (RHL9 is not supported anymore).
Comment 5 shafi jourabchi 2004-07-30 12:16:32 EDT
The problem seems to be with the file. After downloading the qt-x11-free-3.3.2.tar.bz2 and setting up the env vars, everything 
went smothly. Just to be sure, I downloaded the qt-x11-free-3.3.2.tar.gz from several servers, all showing the same segmentation 
I hope that helps. 

Comment 6 Jakub Jelinek 2004-07-30 12:25:09 EDT
It does not help, you have not answered the question I have asked.
If you are on RHL9, there will be no further changes to its gcc
(nor any other packages), so the bugreport makes no sense.
If this is on RHEL3 (or FC1/FC2) and thus you are using a later
gcc than 3.2.2-5 and you manage to reproduce it, we need a preprocessed
testcase which can reproduce it (RHEL3 and later gcc should create
it for you, or you can create it yourself with g++ -save-temps (and the remaining
compiler options it used for the file in question).
Comment 7 shafi jourabchi 2004-07-30 13:45:59 EDT
My apologize for not being clear. The actual distribution is RHL7.3 . However, the Kernal and all the libaries, tools, 
compilers, packages and such has been updated with the latest released version. 

Upon closer look at the process and verifying my download file and using the .bz2 compresion, it did run exactly as was 
described in the INSTALL and README files. 

Again, my apology for not being clear. With the next bug report, i'll include more detaile.

Comment 8 Jakub Jelinek 2004-10-04 03:43:45 EDT
That means you rolled your distribution on your own.
There is no way we can reproduce this.

Note You need to log in before you can comment on or make changes to this bug.